%define upstream_name    Exporter
%define upstream_version 5.78

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Implements default import method for modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Exporter module implements an 'import' method which allows a module to
export functions and variables to its users' namespaces. Many modules use
Exporter rather than implementing their own 'import' method because
Exporter provides a highly flexible interface, with an implementation
optimised for the common case.

Perl automatically calls the 'import' method when processing a 'use'
statement for a module. Modules and 'use' are documented in the perlfunc
manpage and the perlmod manpage. Understanding the concept of modules and
how the 'use' statement operates is important to understanding the
Exporter.

How to Export
    The arrays '@EXPORT' and '@EXPORT_OK' in a module hold lists of symbols
    that are going to be exported into the users name space by default, or
    which they can request to be exported, respectively. The symbols can
    represent functions, scalars, arrays, hashes, or typeglobs. The symbols
    must be given by full name with the exception that the ampersand in
    front of a function is optional, e.g.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jan 01 2024 tv <tv> 5.780.0-1.mga10
+ Revision: 2025408
- update to 5.78

* Fri Feb 03 2023 tv <tv> 5.770.0-1.mga9
+ Revision: 1937860
- update to 5.77

* Mon Mar 21 2022 umeabot <umeabot> 5.740.0-3.mga9
+ Revision: 1812234
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 5.740.0-2.mga8
+ Revision: 1543512
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 5.740.0-1.mga8
+ Revision: 1481850
- update to 5.74

* Wed Oct 17 2018 shlomif <shlomif> 5.730.0-1.mga7
+ Revision: 1321452
- update to 5.73

* Wed Sep 19 2018 umeabot <umeabot> 5.720.0-4.mga7
+ Revision: 1267870
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.720.0-3.mga6
+ Revision: 1027081
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.720.0-2.mga6
+ Revision: 968050
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 5.720.0-1.mga6
+ Revision: 851196
- update to 5.72

* Wed Oct 15 2014 umeabot <umeabot> 5.700.0-3.mga5
+ Revision: 742362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.700.0-2.mga5
+ Revision: 684666
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 5.700.0-1.mga5
+ Revision: 614564
- update to 5.70

* Mon Oct 21 2013 umeabot <umeabot> 5.680.0-2.mga4
+ Revision: 537132
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 5.680.0-1.mga4
+ Revision: 486371
- update to 5.68

* Wed Mar 27 2013 jquelin <jquelin> 5.670.0-4.mga3
+ Revision: 405475
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.670.0-3.mga3
+ Revision: 367001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 5.670.0-2.mga3
+ Revision: 315509
- perl 5.16.2 rebuild

* Wed Sep 26 2012 jquelin <jquelin> 5.670.0-1.mga3
+ Revision: 297940
- update to 5.67

* Wed Jan 04 2012 jquelin <jquelin> 5.660.0-1.mga2
+ Revision: 190530
- update to 5.66

* Fri Nov 04 2011 jquelin <jquelin> 5.650.0-2.mga2
+ Revision: 162806
- take priority over module bundled with perl 5.14.2

* Fri Sep 02 2011 jquelin <jquelin> 5.650.0-1.mga2
+ Revision: 137985
- update to 5.65

* Thu Jan 20 2011 jquelin <jquelin> 5.630.0-1.mga1
+ Revision: 26108
- mageia rebuild
- imported package perl-Exporter

